package de.bablokb.epm;

import org.eclipse.ui.IFolderLayout;
import org.eclipse.ui.IPageLayout;
import org.eclipse.ui.IPerspectiveFactory;
import org.eclipse.ui.part.IPage;

import de.bablokb.epm.views.*;

public class Perspective implements IPerspectiveFactory {

	public void createInitialLayout(IPageLayout layout) {
		layout.setEditorAreaVisible(false);
		layout.addView(DirListView.VIEW_ID, IPageLayout.TOP,
				0.25f, IPageLayout.ID_EDITOR_AREA);
		IFolderLayout folderLayout = layout.createFolder("miscFolder",IPageLayout.RIGHT,0.5f,DirListView.VIEW_ID);
		folderLayout.addPlaceholder(ExifView.VIEW_ID);
		folderLayout.addPlaceholder(DetailsView.VIEW_ID);
		folderLayout.addPlaceholder(CommentView.VIEW_ID);
		layout.addPlaceholder(ImageView.VIEW_ID,IPageLayout.BOTTOM,0.25f,DirListView.VIEW_ID);
		layout.setFixed(true);
	}
}
